#!/usr/bin/env bash

# ./stats.bash
# or
# ./stats.bash NUM_SIMULATIONS

for ((i=0; i < ${1:-1000}; i++))
do
    ./play.bash
done | awk '
/^\w+ vinner!$/ {
    win[$1]++
}
/^Uavgjort\.\.\.$/ {
    tie++
}

END {
    for(i in win) {
        printf "%s vant %d ganger.\n", i, (win[i] ? win[i] : 0)
    }
    print "Det ble uavgjort", (tie ? tie : 0), "ganger."
}
'
